package pro.skalski.zadanie1;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.support.v7.app.AppCompatActivity;

public class Settings {
    private static SharedPreferences sharedPreferences = null;
    private static boolean canAdd = true;
    private static boolean showCredits = true;

    private static final String SHARED_PREFERENCES_KEY = "pro.skalski.zadanie1";

    private static final String KEY_CAN_ADD = "can_add";
    private static final String KEY_SHOW_CREDITS = "show_credits";

    public static void loadPreferences(AppCompatActivity activity)
    {
        Settings.sharedPreferences = activity.getSharedPreferences(
            SHARED_PREFERENCES_KEY, Context.MODE_PRIVATE
        );
        Settings.canAdd = Settings.sharedPreferences.getBoolean(Settings.KEY_CAN_ADD, Settings.canAdd);
        Settings.showCredits = Settings.sharedPreferences.getBoolean(Settings.KEY_SHOW_CREDITS, Settings.showCredits);
    }

    public static boolean isCanAdd() {
        return canAdd;
    }

    public static void setCanAdd(boolean canAdd) {
        Settings.canAdd = canAdd;
        Settings.sharedPreferences.edit().putBoolean(Settings.KEY_CAN_ADD, canAdd).apply();
    }

    public static boolean isShowCredits() {
        return showCredits;
    }

    public static void setShowCredits(boolean showCredits) {
        Settings.showCredits = showCredits;
        Settings.sharedPreferences.edit().putBoolean(Settings.KEY_SHOW_CREDITS, showCredits).apply();
    }
}
