package pro.skalski.zadanie1;

import android.app.ListActivity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.i("ZAD1S", "Main: onCreate");
        setContentView(R.layout.activity_main);
        Settings.loadPreferences(this);
    }

    protected void onResume() {
        super.onResume();
        Log.i("ZAD1S", "Main: onResume");
        Button button = (Button) findViewById(R.id.button_credits);
        if (Settings.isShowCredits()) {
            button.setVisibility(View.VISIBLE);
        } else {
            button.setVisibility(View.GONE);
        }
    }

    public void onClickList(View v) {
        Intent intent = new Intent(this, ProductListActivity.class);
        startActivity(intent);
    }

    public void onClickOptions(View v) {
        Intent intent = new Intent(this, OptionsActivity.class);
        startActivity(intent);
    }

    public void onClickCredits(View v) {
        Intent intent = new Intent(this, CreditsActivity.class);
        startActivity(intent);
    }
}
